From: "Patrick McLean" <chutzpah@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyudev/
Date: Wed, 5 Feb 2020 23:28:29 +0000 (UTC) [thread overview]
Message-ID: <1580945281.bfc4909893cae1c52c4860c6b7a0acd41eccbc95.chutzpah@gentoo> (raw)
commit: bfc4909893cae1c52c4860c6b7a0acd41eccbc95
Author: Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Wed Feb 5 23:28:01 2020 +0000
Commit: Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Wed Feb 5 23:28:01 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bfc49098
dev-python/pyudev-0.22.0: Version bump
Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.87, Repoman-2.3.20
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>
dev-python/pyudev/Manifest | 1 +
dev-python/pyudev/metadata.xml | 1 -
dev-python/pyudev/pyudev-0.22.0.ebuild | 51 ++++++++++++++++++++++++++++++++++
3 files changed, 52 insertions(+), 1 deletion(-)
diff --git a/dev-python/pyudev/Manifest b/dev-python/pyudev/Manifest
index 5b73a2d2813..e888f4c61e9 100644
--- a/dev-python/pyudev/Manifest
+++ b/dev-python/pyudev/Manifest
@@ -1 +1,2 @@
DIST pyudev-0.21.0.tar.gz 89469 BLAKE2B 3bf9ac46442c5948d131932c7b62a59ef979755f2d55bcd0165fc1b69b865268051fdeab7605c8a1cb0694ce0f4b88f31a1e6a1893900a7300ddf6439734712e SHA512 ba5b6156768b65b9655d809b14378b01173643781b9c4017271e880cdfed442c44ac49eb26c970e4275b820e01678e3001870591fccf88dc713ec941e2b85d11
+DIST pyudev-0.22.0.tar.gz 85077 BLAKE2B 66c78aa4d3bea5ceae3660a93e5bd1733629bb5228d67d8e647abb8c237a2786c1061b07e034be5467f5bcab58d95ba30f91d74bdc54cd8253dff69be3ad4a80 SHA512 a09ed479a54a1772a6af68cb975fef792068c2de3655e20223905bc3f574fd32bd3dbe6b97062eee3ab5f08a8b041ad3ea86dfb68c839ea44e29d65ec1686670
diff --git a/dev-python/pyudev/metadata.xml b/dev-python/pyudev/metadata.xml
index 9c052c908df..dbaac4f6764 100644
--- a/dev-python/pyudev/metadata.xml
+++ b/dev-python/pyudev/metadata.xml
@@ -10,7 +10,6 @@
and service found in modern linux systems.
</longdescription>
<use>
- <flag name="pygobject">Install PyGobject bindings</flag>
<flag name="qt5">Install PyQt5 bindings</flag>
</use>
<upstream>
diff --git a/dev-python/pyudev/pyudev-0.22.0.ebuild b/dev-python/pyudev/pyudev-0.22.0.ebuild
new file mode 100644
index 00000000000..2fba5997b60
--- /dev/null
+++ b/dev-python/pyudev/pyudev-0.22.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python binding to libudev"
+HOMEPAGE="https://pyudev.readthedocs.io/en/latest/ https://github.com/pyudev/pyudev"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~mips ~x86"
+IUSE="qt5"
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ virtual/udev
+ qt5? ( dev-python/PyQt5[${PYTHON_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ )"
+
+DOCS=( CHANGES.rst README.rst )
+
+#PATCHES=(
+# "${FILESDIR}/${PN}-0.19.0-skip-non-deterministic-test.patch"
+#)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ if use test; then
+ ewarn "If your PORTAGE_TMPDIR is longer in length then '/var/tmp/',"
+ ewarn "change it to /var/tmp to ensure tests will pass."
+ fi
+
+ # tests are known to pass then fail on alternate runs
+ # tests: fix run_path
+ sed -i -e "s|== \('/run/udev'\)|in (\1,'/dev/.udev')|g" \
+ tests/test_core.py || die
+
+ distutils-r1_python_prepare_all
+}
next reply other threads:[~2020-02-05 23:28 UTC|newest]
Thread overview: 76+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-02-05 23:28 Patrick McLean [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-04 13:50 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyudev/ Arthur Zamarin
2025-01-04 13:50 Arthur Zamarin
2025-01-04 13:42 Arthur Zamarin
2025-01-04 13:42 Arthur Zamarin
2025-01-04 13:42 Arthur Zamarin
2025-01-04 13:42 Arthur Zamarin
2025-01-04 13:42 Arthur Zamarin
2025-01-04 13:42 Arthur Zamarin
2025-01-04 13:42 Arthur Zamarin
2024-11-13 21:21 Sam James
2024-04-11 15:29 Patrick McLean
2023-06-04 4:58 Michał Górny
2023-06-03 19:45 Arthur Zamarin
2023-06-01 20:12 Sam James
2023-06-01 20:05 Sam James
2023-06-01 20:04 Sam James
2023-06-01 20:04 Sam James
2023-06-01 17:22 Arthur Zamarin
2023-06-01 17:19 Arthur Zamarin
2023-04-29 5:58 Arthur Zamarin
2023-03-16 4:07 Michał Górny
2022-11-07 17:27 Arthur Zamarin
2022-10-07 8:47 WANG Xuerui
2022-09-26 6:15 Michał Górny
2022-09-25 23:58 Sam James
2022-09-25 23:58 Sam James
2022-09-25 18:43 Arthur Zamarin
2022-09-25 18:39 Arthur Zamarin
2022-09-25 18:24 Arthur Zamarin
2022-09-25 18:10 Arthur Zamarin
2022-08-25 19:25 Arthur Zamarin
2022-08-25 19:25 Arthur Zamarin
2022-08-25 10:43 Marek Szuba
2022-03-18 11:41 Michał Górny
2022-03-18 9:43 Arthur Zamarin
2022-03-17 7:45 Agostino Sarubbo
2022-03-16 23:53 Sam James
2022-03-15 18:23 Jakov Smolić
2022-02-11 21:18 Michał Górny
2022-02-11 19:22 Arthur Zamarin
2022-02-10 11:43 Sam James
2022-02-06 8:05 Agostino Sarubbo
2022-02-06 8:04 Agostino Sarubbo
2022-02-06 7:35 Sam James
2022-02-05 21:09 Jakov Smolić
2022-02-05 9:11 Arthur Zamarin
2022-02-05 9:11 Arthur Zamarin
2022-02-05 9:11 Arthur Zamarin
2021-05-27 19:23 Sam James
2021-05-27 19:18 Sam James
2021-02-28 22:11 Sergei Trofimovich
2021-02-28 20:39 Sergei Trofimovich
2021-01-13 19:28 Sergei Trofimovich
2021-01-03 20:11 Matt Turner
2021-01-03 11:39 Sergei Trofimovich
2020-11-25 8:37 Michał Górny
2020-02-05 21:21 Michał Górny
2019-04-10 22:44 Matthew Thode
2018-06-25 23:20 Thomas Deutschmann
2018-05-10 8:25 Andreas Sturmlechner
2018-05-10 8:25 Andreas Sturmlechner
2018-05-10 8:25 Andreas Sturmlechner
2018-04-29 6:33 Michał Górny
2018-04-02 6:23 Matt Turner
2018-01-23 5:58 Markus Meier
2017-12-19 8:32 Jason Zaman
2017-11-27 19:26 Andreas Sturmlechner
2017-08-10 16:53 Michał Górny
2017-04-27 11:13 Tim Harder
2017-03-01 13:05 Michael Weber
2017-01-19 10:59 Agostino Sarubbo
2017-01-18 16:52 Agostino Sarubbo
2016-09-04 17:04 Manuel Rüger
2016-05-31 21:34 Patrick McLean
2016-02-28 6:12 Matt Thode
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1580945281.bfc4909893cae1c52c4860c6b7a0acd41eccbc95.chutzpah@gentoo \
--to=chutzpah@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox